
Redmine - Feature #4089

Fires a warning if required custom fields exist when migrating

2009-10-22 21:31 - Marcel Nadje

Status: Reopened Start date: 2009-10-22

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'm running redmine since 2 month. My current version is 0.8.5.devel.2956.

I've migrated two trac projects some time ago with no issues. The migration of the 3rd project not working perfectly, because tickets,

files and custom values are not migrated. Take a look:

Migrating components....

Migrating milestones........

Migrating custom fields....

Migrating tickets.........................

Migrating wiki...........

Components:      4/4

Milestones:      8/8

Tickets:         0/25

Ticket files:    0/7

Custom values:   0/100

Wiki edits:      11/11

Wiki files:      0/0

 The wiki:RedmineMigrate says: Before starting, you need a fresh Redmine database, with default data loaded (required)

Is this my problem? My redmine database (sqlite3) is not fresh I think. What can i do?

History

#1 - 2009-10-24 13:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Wont fix

Is this my problem? My redmine database (sqlite3) is not fresh I think.

 Yes, it may be the problem.

What can i do?

 Have a look at lib/tasks/migrate_from_trac.rake and adapt it to fit your needs.

#2 - 2009-10-24 16:32 - Kamil .

I have migrated from Trac to my Redmine (PostgresQL RDBMS which was NOT fresh) and everything worked well, except issue #3910

regards

#3 - 2009-10-25 11:49 - Marcel Nadje

- Status changed from Closed to Reopened
https://www.redmine.org/projects/redmine/wiki/RedmineMigrate
https://www.redmine.org/issues/3910


If the database isn't fresh enough, why components and milestones were migrated?

On wich line I've to look redarding fresh database test? I cannot find the right one...

#4 - 2009-10-25 12:22 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Sorry, I can't provide such support here.

And I can't fix anything without a detailed bug report.

#5 - 2009-11-10 09:36 - Marcel Nadje

The problem are custom fields witch are Required For all projects. If you uncheck this setting, the migration of tickets succesfully done. I think it

would be nice, the trac migration script fires a warning, if exist required custom fields for all projects.

#6 - 2009-11-11 20:35 - Marcel Nadje

- Status changed from Closed to Reopened

#7 - 2009-11-11 22:59 - Jean-Philippe Lang

- Subject changed from trac migrate: no migration of Tickets, Ticket files and Custom values to Fires a warning if required custom fields exist when

migrating

#8 - 2009-11-11 22:59 - Jean-Philippe Lang

- Priority changed from Normal to Low

- Resolution deleted (Wont fix)

#9 - 2009-11-11 22:59 - Jean-Philippe Lang

- Tracker changed from Defect to Feature
